<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <data>

		<!-- OPERATIONAL OBJECTIVE -->
        <record id="view_prime_project_objective_tree" model="ir.ui.view">
            <field name="name">prime.project.objective.tree</field>
            <field name="model">prime.project.objective</field>
            <field name="priority" eval="8" />
            <field name="arch" type="xml">
                <tree string="Operational Objectives">
                    <field name="name" />
                    <field name="code" />
                </tree>
            </field>
        </record>
		
        <record id="view_prime_project_objective_form" model="ir.ui.view">
            <field name="name">prime.project.objective.form</field>
            <field name="model">prime.project.objective</field>
            <field name="priority" eval="8" />
            <field name="arch" type="xml">
                <form string="Operational Objective">
                    <sheet>
						<group col="4" colspan="4" name="general_detail">
							<field name="name" />
							<field name="code" />
						</group>
                        <notebook>
                            <page string="Description">
                                <group col="4">
									<separator string="Detailed Description" colspan="4"/>
									<field name="description" placeholder="Detailed Description..." nolabel="1" colspan="4"/>
									<separator string="Priority Objective" colspan="4"/>
									<field name="priority_objective" placeholder="Priority Objective..." nolabel="1" colspan="4"/>							
								</group>
							</page>
						</notebook>
                    </sheet>
                </form>
            </field>
        </record>
		
        <record id="view_prime_project_objective_search" model="ir.ui.view">
            <field name="name">prime.project.objective.operational.search</field>
            <field name="model">prime.project.objective</field>
            <field name="priority" eval="8" />
            <field name="arch" type="xml">
                <search string="Operational Objectives">
                    <field name="name" />
                </search>
            </field>
        </record>

        <record model="ir.actions.act_window" id="act_open_prime_project_objective_view">
            <field name="name">Operational Objectives</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">prime.project.objective</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="view_prime_project_objective_search" />
            <field name="domain">[]</field>
            <field name="context">{}</field>
			<field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to add new operational objective.
              </p>
			</field>
        </record>
        <record model="ir.actions.act_window.view" id="act_open_prime_project_objective_view_form">
            <field name="act_window_id" ref="act_open_prime_project_objective_view" />
            <field name="sequence" eval="20" />
            <field name="view_mode">form</field>
            <field name="view_id" ref="view_prime_project_objective_form" />
        </record>
        <record model="ir.actions.act_window.view" id="act_open_prime_project_objective_view_tree">
            <field name="act_window_id" ref="act_open_prime_project_objective_view" />
            <field name="sequence" eval="10" />
            <field name="view_mode">tree</field>
            <field name="view_id" ref="view_prime_project_objective_tree" />
        </record>

    </data>
</odoo>
